NWDS: Download SAP NetWeaver Developer Studio

NWDS Update Site

…you will need your S-User…

There is no 7.4 version, you have to use the 7.31 version for 7.4 (SP-Level minus 5)

Update: For 7.50 there is still no Eclipse plugin available… It has to be downloaded from the Softwarecenter.